org.springframework.cloud.dataflow.server.db.migration.postgresql

## Class PostgresMigrateUriRegistrySqlCommand

- java.lang.Object
- - org.springframework.cloud.dataflow.common.flyway.SqlCommand
  - - org.springframework.cloud.dataflow.server.db.migration.AbstractMigrateUriRegistrySqlCommand
    - - org.springframework.cloud.dataflow.server.db.migration.postgresql.PostgresMigrateUriRegistrySqlCommand

-     public class PostgresMigrateUriRegistrySqlCommand
      extends AbstractMigrateUriRegistrySqlCommand

  `postgres` related `SqlCommand` for migrating data from `URI_REGISTRY` into `app_registration`.
  Author:
    Janne Valkealahti

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.cloud.dataflow.server.db.migration.AbstractMigrateUriRegistrySqlCommand

      `AbstractMigrateUriRegistrySqlCommand.AppRegistrationMigrationData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostgresMigrateUriRegistrySqlCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(org.springframework.jdbc.core.JdbcTemplate jdbcTemplate, Connection connection)`
    `protected void` | `updateAppRegistration(org.springframework.jdbc.core.JdbcTemplate jdbcTemplate, List<AbstractMigrateUriRegistrySqlCommand.AppRegistrationMigrationData> data)` Update app registration.

    - ### Methods inherited from class org.springframework.cloud.dataflow.server.db.migration.AbstractMigrateUriRegistrySqlCommand

      `canHandleInJdbcTemplate, createAppRegistrationMigrationData, dropUriRegistryTable`

    - ### Methods inherited from class org.springframework.cloud.dataflow.common.flyway.SqlCommand

      `from, from, getCommand, getSuppressedErrorCodes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostgresMigrateUriRegistrySqlCommand

          public PostgresMigrateUriRegistrySqlCommand()

  - ### Method Detail

    - #### handle

          public void handle(org.springframework.jdbc.core.JdbcTemplate jdbcTemplate,
                             Connection connection)

      Overrides:
        `handle` in class `AbstractMigrateUriRegistrySqlCommand`

    - #### updateAppRegistration

          protected void updateAppRegistration(org.springframework.jdbc.core.JdbcTemplate jdbcTemplate,
                                               List<AbstractMigrateUriRegistrySqlCommand.AppRegistrationMigrationData> data)

      Description copied from class: `AbstractMigrateUriRegistrySqlCommand`
      Update app registration. Actual database implementation of this method is required to insert data based on list of `AppRegistrationMigrationData`'s and keep `hibernate_sequence` up-to-date.
      Specified by:
        `updateAppRegistration` in class `AbstractMigrateUriRegistrySqlCommand`
      Parameters:
        `jdbcTemplate` - the jdbc template
        `data` - the data

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.